GitHub – Instalación del compositor para Cakephp

Hola, solo quiero preguntar cómo instalaré algo que encontré en github que requiere la installation del compositor para cakephp. Ya instalé el compositor y (creo) está funcionando aunque no lo he probado porque no sé cómo. Pero básicamente mi pregunta es cómo usaría esto …

{ "require": { "kronusme/dota2-api": "2.2.1" } } 

para instalar ese repository en mi proyecto? me refiero a dónde debería escribir eso o algo así. lo siento si esta es una pregunta muy básica. ¡gracias por la respuesta!

Hay dos forms:

Primero: Simplemente vaya a la carpeta respectiva (por ejemplo, E: \ xampp \ htdocs \ composerTest) en el símbolo del sistema y escriba:

 composer require "kronusme/dota2-api:*" 

Que downloadá las últimas versiones de dota1-api en la ruta respectiva que ha proporcionado. Y esta es probablemente la forma más fácil.

Segundo: guarde las siguientes cosas en el file composer.json dentro de la carpeta respectiva (p. Ej .: E: \ xampp \ htdocs \ composerTest)

 { "require": { "kronusme/dota2-api": "2.2.1" } } 

Y ahora solo ve a la location respectiva desde el símbolo del sistema y escribe:

 composer install 

Esto también downloadá el file en la ruta que proporcionó.